All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Maximum
Statistical Functions

Performs the maximum operation on the samples of a signal. More...

## Functions

NppStatus | nppsMaxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMax_16s. More...
NppStatus | nppsMaxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMax_32s. More...
NppStatus | nppsMaxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMax_32f. More...
NppStatus | nppsMaxGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMaxGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMax_64f. More...
NppStatus | nppsMaxGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMax_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector max method More...
NppStatus | nppsMax_16s (const Npp16s *pSrc, int nLength, Npp16s *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMax_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector max method More...
NppStatus | nppsMax_32s (const Npp32s *pSrc, int nLength, Npp32s *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMax_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector max method More...
NppStatus | nppsMax_32f (const Npp32f *pSrc, int nLength, Npp32f *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMax_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMax, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector max method More...
NppStatus | nppsMax_64f (const Npp64f *pSrc, int nLength, Npp64f *pMax, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxIndxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxIndx_16s. More...
NppStatus | nppsMaxIndxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxIndxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxIndx_32s. More...
NppStatus | nppsMaxIndxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxIndxGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxIndx_32f. More...
NppStatus | nppsMaxIndxGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMaxIndxGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxIndx_64f. More...
NppStatus | nppsMaxIndxGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMaxIndx_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMax, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector max index method More...
NppStatus | nppsMaxIndx_16s (const Npp16s *pSrc, int nLength, Npp16s *pMax, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxIndx_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMax, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector max index method More...
NppStatus | nppsMaxIndx_32s (const Npp32s *pSrc, int nLength, Npp32s *pMax, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxIndx_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMax, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector max index method More...
NppStatus | nppsMaxIndx_32f (const Npp32f *pSrc, int nLength, Npp32f *pMax, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxIndx_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMax, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector max index method More...
NppStatus | nppsMaxIndx_64f (const Npp64f *pSrc, int nLength, Npp64f *pMax, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxAbsGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxAbs_16s. More...
NppStatus | nppsMaxAbsGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxAbsGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxAbs_32s. More...
NppStatus | nppsMaxAbsGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxAbs_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMaxAbs, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector max absolute method More...
NppStatus | nppsMaxAbs_16s (const Npp16s *pSrc, int nLength, Npp16s *pMaxAbs, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxAbs_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMaxAbs, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector max absolute method More...
NppStatus | nppsMaxAbs_32s (const Npp32s *pSrc, int nLength, Npp32s *pMaxAbs, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxAbsIndxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxAbsIndx_16s. More...
NppStatus | nppsMaxAbsIndxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxAbsIndxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMaxAbsIndx_32s. More...
NppStatus | nppsMaxAbsIndxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMaxAbsIndx_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMaxAbs, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector max absolute index method More...
NppStatus | nppsMaxAbsIndx_16s (const Npp16s *pSrc, int nLength, Npp16s *pMaxAbs, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMaxAbsIndx_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMaxAbs, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector max absolute index method More...
NppStatus | nppsMaxAbsIndx_32s (const Npp32s *pSrc, int nLength, Npp32s *pMaxAbs, int *pIndx, Npp8u *pDeviceBuffer)

## Detailed Description

Performs the maximum operation on the samples of a signal.

## Function Documentation

NppStatus nppsMax_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMax_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMax_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMax_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMax_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMax_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMax_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMax_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMax,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector max method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxAbs_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMaxAbs,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxAbs_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMaxAbs,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector max absolute method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMaxAbs | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxAbsGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxAbs_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMaxAbs,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxAbs_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMaxAbs,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector max absolute method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMaxAbs | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxAbsGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxAbsGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxAbsGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxAbs_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxAbsGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxAbsGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxAbs_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxAbsIndx_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMaxAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxAbsIndx_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMaxAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector max absolute index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMaxAbs | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxAbsIndxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxAbsIndx_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMaxAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxAbsIndx_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMaxAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector max absolute index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMaxAbs | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxAbsIndxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxAbsIndxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxAbsIndxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxAbsIndx_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxAbsIndxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxAbsIndxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxAbsIndx_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMax_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMax_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMax_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMax_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxIndx_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxIndx_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector max index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxIndxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxIndx_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxIndx_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector max index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxIndxGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxIndx_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxIndx_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector max index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxIndxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxIndx_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaxIndx_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMax,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector max index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMax | Pointer to the output result.
  pIndx | Pointer to the index value of the first maximum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaxIndxGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxIndxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxIndxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxIndx_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxIndxGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxIndxGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxIndx_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxIndxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxIndxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxIndx_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaxIndxGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaxIndxGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMaxIndx_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2020 NVIDIA Corporation